{
  description = "a653rs-router";

  inputs = {
   flake-utils.url = "github:numtide/flake-utils";
  };

  outputs =
    {
      flake-utils,
      nixpkgs,
      ...
    }:
    flake-utils.lib.eachSystem [ "x86_64-linux" ] (
      system:
      let
        pkgs = import nixpkgs { inherit system; };
      in
      {
        devShells.default = pkgs.mkShell {
         nativeBuildInputs = [
            pkgs.cargo
            pkgs.clang
            pkgs.clippy
            pkgs.pam
            pkgs.pkg-config
            pkgs.rustc
            pkgs.rustfmt
            pkgs.rust-analyzer
            pkgs.rustPlatform.bindgenHook
          ];
        };
        packages = {
          default = pkgs.callPackage ./default.nix {};
        };
      }
    );
}
